remove use of deprecated nfdc syntax and update output processing
change all calls to nfd-status to nfdc
(except test_nfdc)
refs #4058
Change-Id: I4205602d180f5cb5c64e9883e79d5deb518533ad
diff --git a/test_localhost_scope/README.md b/test_localhost_scope/README.md
index 52d95be..1b1d965 100644
--- a/test_localhost_scope/README.md
+++ b/test_localhost_scope/README.md
@@ -20,9 +20,9 @@
Redirect netcat output into a file.
2. On host B, invoke nfdc to create face tcp://hostA:6363.
Fail if nfdc fails.
-3. On host B, invoke nfdc to add nexthop for `ndn:/` toward face created in step 8.
+3. On host B, invoke nfdc to add route for `ndn:/` toward face created in step 8.
Fail if nfdc fails.
-4. On host B, invoke nfdc to add nexthop for `ndn:/localhost/test-out` toward face created in step 8.
+4. On host B, invoke nfdc to add route for `ndn:/localhost/test-out` toward face created in step 8.
Do not fail if nfdc fails (forwarder MAY reject prefix registration that violates scope control).
5. On host B, invoke ndnpeek to request `ndn:/localhost/test-out/B/c39b6fed4ce4464ea136062f80002c7c`.
6. On host B, invoke ndnpeek to request `ndn:/localhost/C/c39b6fed4ce4464ea136062f80002c7c`.
diff --git a/test_localhost_scope/out-B.sh b/test_localhost_scope/out-B.sh
index d0ec56a..31f9d3e 100755
--- a/test_localhost_scope/out-B.sh
+++ b/test_localhost_scope/out-B.sh
@@ -1,10 +1,12 @@
#!/bin/bash
FACEURI=$1
-if ! output=$(nfdc add-nexthop ndn:/ $FACEURI)
+nfdc face create $FACEURI || exit 1
+
+if ! output=$(nfdc route add ndn:/ $FACEURI)
then
return 2
fi
-output=$(nfdc add-nexthop ndn:/localhost/test-out $FACEURI 2>&1)
+output=$(nfdc route add ndn:/localhost/test-out $FACEURI 2>&1)
return 0
diff --git a/test_localhost_scope/out-master.sh b/test_localhost_scope/out-master.sh
index 0e345a1..c26a0ac 100755
--- a/test_localhost_scope/out-master.sh
+++ b/test_localhost_scope/out-master.sh
@@ -18,7 +18,7 @@
nc -vul 6363 > $workdir/logs/out/netcat.log 2>&1 &
sleep 1
-# add nexthop of ndn:/ and ndn:/localhost/test-out to hostA
+# add route to hostA for ndn:/ and ndn:/localhost/test-out
if ! status=$(ssh $CTRL_B "source $workdir/out-B.sh udp4://$IP4_A1" 2>&1)
then
echo "Error message from host B:"